﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace Sfcalendar_109119
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
          
        }

        /// <summary>
        /// Invoked when this page is about to be displayed in a Frame.
        /// </summary>
        /// <param name="e">Event data that describes how this page was reached.  The Parameter
        /// property is typically used to configure the page.</param>
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
        }
    }
    public class Appointment
    {
        public List<string> Descriptionlist { get; set; }
        
        public Appointment(List<string> _desc)
        {
            Descriptionlist = _desc;
        }
    }
    public class AppointmentSource : Dictionary<DateTime, Appointment>
    {
        public AppointmentSource()
        {
            List<string> list = new List<string>();
            list.Add("Today");
            list.Add("Go to Church");
            list.Add("Attend assembly");
            Add(DateTime.Now.Date, new Appointment(list));
            List<string> list2 = new List<string>();
            list2.Add("Today Events");
            list2.Add("Meet General manager");
            list2.Add("Attend Meeting");
            Add(DateTime.Now.AddDays(2).Date, new Appointment(list2));
            List<string> list3 = new List<string>();
            list3.Add("Go to art museum");
            list3.Add("Fond of paintings");
            list3.Add("visit loure at paris");
            Add(DateTime.Now.AddDays(-2).Date, new Appointment(list3));
            List<string> list4 = new List<string>();
            list4.Add("Dental checkup");
            list4.Add("Brooklyn medical univercity");
            list4.Add("Regular checkup");
            Add(DateTime.Now.AddDays(-5).Date, new Appointment(list4));
         }
    }
    public class CellDescriptionConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, string language)
        {
            var appointments = parameter as Dictionary<DateTime, Appointment>;
            var date = ((DateTime)value).Date;
            if (appointments != null)
            {
                if (appointments.ContainsKey(date))
                {
                    return appointments[date].Descriptionlist;
                }
            }
            return null;
        }

        public object ConvertBack(object value, Type targetType, object parameter, string language)
        {
            throw new NotImplementedException();
        }
    }
       public class DateConverter : IValueConverter
    {
         public object Convert(object value, Type targetType, object parameter, string language)
        {
            if (value is DateTime)
            {
                var date = (DateTime) value;
                return date.ToString("D").ToUpper();
            }
            else
                return DateTime.Now;
        }

        public object ConvertBack(object value, Type targetType, object parameter, string language)
        {
            throw new NotImplementedException();
        }
    }
   
}
